<html>
<head>
<title>OGRE: Ogre::SceneManager::LightInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>::<a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">LightInfo</a></div>
<h1>Ogre::SceneManager::LightInfo Struct Reference</h1><!-- doxytag: class="Ogre::SceneManager::LightInfo" -->Cached light information, used to tracking light's changes.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1SceneManager_1_1LightInfo-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#5799c4e34448b86d884f004ea7510600">operator==</a> (const <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">LightInfo</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#5f521405ca7af2b93ada5847d9a65ccc">operator!=</a> (const <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">LightInfo</a> &amp;rhs) const </td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Light.html">Light</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#611e5d0f998b014aae08bfcf8339cc19">light</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#2fb01ef522788da9b93d3b3ba06e17b3">type</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#cb21fec5c364a2cd62075534b0768678">range</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#8cf0e55f051b695521b4056723e91539">position</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Cached light information, used to tracking light's changes. 
<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00398">398</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5799c4e34448b86d884f004ea7510600"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::operator==" ref="5799c4e34448b86d884f004ea7510600" args="(const LightInfo &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::SceneManager::LightInfo::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">LightInfo</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00405">405</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>References <a class="el" href="OgreSceneManager_8h-source.html#l00400">light</a>, <a class="el" href="OgreSceneManager_8h-source.html#l00403">position</a>, <a class="el" href="OgreSceneManager_8h-source.html#l00402">range</a>, and <a class="el" href="OgreSceneManager_8h-source.html#l00401">type</a>.</p>

</div>
</div><p>
<a class="anchor" name="5f521405ca7af2b93ada5847d9a65ccc"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::operator!=" ref="5f521405ca7af2b93ada5847d9a65ccc" args="(const LightInfo &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::SceneManager::LightInfo::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html">LightInfo</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00411">411</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="611e5d0f998b014aae08bfcf8339cc19"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::light" ref="611e5d0f998b014aae08bfcf8339cc19" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Light.html">Light</a>* <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#611e5d0f998b014aae08bfcf8339cc19">Ogre::SceneManager::LightInfo::light</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00400">400</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h-source.html#l00405">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="2fb01ef522788da9b93d3b3ba06e17b3"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::type" ref="2fb01ef522788da9b93d3b3ba06e17b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#2fb01ef522788da9b93d3b3ba06e17b3">Ogre::SceneManager::LightInfo::type</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00401">401</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h-source.html#l00405">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="cb21fec5c364a2cd62075534b0768678"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::range" ref="cb21fec5c364a2cd62075534b0768678" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#cb21fec5c364a2cd62075534b0768678">Ogre::SceneManager::LightInfo::range</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00402">402</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h-source.html#l00405">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8cf0e55f051b695521b4056723e91539"></a><!-- doxytag: member="Ogre::SceneManager::LightInfo::position" ref="8cf0e55f051b695521b4056723e91539" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#8cf0e55f051b695521b4056723e91539">Ogre::SceneManager::LightInfo::position</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00403">403</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h-source.html#l00405">operator==()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:03 2008
</p>
</body>
</html>
